clear();

s = poly(0,"s");

//G = syslin('c',[s+3],[(s+1+%i)*(s+1-%i)*(s+2)]);
G = syslin('c',[s+3],[(s^2+2*s+2)*(s+2)]);

t = 0:0.01:5;
anz = size(t);
u = ones(anz(1),anz(2)); //AB bei csim immer Null, Input hier: Sprung auf 1, es folgt daraus die Sprungantwort.
ystrecke   = csim(u,t,G);

//plot(t,ystrecke(1,:)');

//Tu=0.3
//Ta=1.7
//Ta/Tu=5.7 GUT!

//Führungsverhalten:

R = syslin('c',[100+10*s],[1]);

Q = R*G;

H = Q/(1+Q);

//plzr(H);

//Störverhalten

V = G/(1+R*G);

//plzr(V);

//Sollwertsprung, Beobachtung des Ausregelvorgangs:
ausregeln   = csim(u,t,H);
plot(t,ausregeln(1,:)');
